<?php

namespace App\Http\Controllers;
use App\Cari;
use App\ServisFisi;
use App\ServisHizmet;
use App\ServisYedekParca;
use App\SmsSablon;
use App\EmailSablon;
use Validator;
use Datatables;
use DB;
use Illuminate\Http\Request;



use Brian2694\Toastr\Facades\Toastr;

use Response;
use Illuminate\Support\Facades\Input;
use App\http\Requests;


class CariController extends Controller
{
    public function listele()
    {
        $cariler = Cari::orderByDesc('id')->paginate(10);


        return view('admin/cari/listele', compact('cariler'));
    }

    public function cariekle(Request $request)
    {

        $cari = new Cari;

        $cari->isim = $request->isim;
        $cari->email = $request->email;
        $cari->telefon = $request->telefon;
        $cari->adres = $request->adres;
        $cari->il = $request->il;
        $cari->ilce = $request->ilce;

        $cari->save();

$data = Cari::all();

        return response()->json($data);
    }


    public function kaydet()
    {
        $cari = new Cari;

        $cari->isim = request('isim');
        $cari->telefon = request('telefon');
        $cari->email = request('email');
        $cari->adres = request('adres');
        $cari->il = request('il');
        $cari->ilce = request('ilce');

        $cari->save();

        if ($cari) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/cari/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/cari/listele');
           }

    }

    public function duzenle()
    {
        $duzenlenecekcari = Cari::find(request('id'));

        $duzenlenecekcari->isim = request('isim1');
        $duzenlenecekcari->telefon = request('telefon1');
        $duzenlenecekcari->email = request('email1');
        $duzenlenecekcari->adres = request('adres1');
        $duzenlenecekcari->il = request('il1');
        $duzenlenecekcari->ilce = request('ilce1');

        $duzenlenecekcari->save();

        if ($duzenlenecekcari) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/cari/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/cari/listele');
           }
    }

    public function servis_fislerim($id)
    {

        $hizmetler_toplam =ServisHizmet::sum('fiyat');
        $yedek_parca_toplam =ServisYedekParca::sum('fiyat');

        $servisfisleri = ServisFisi::where('cari_id',$id)->paginate(10);

        $sms_sablonlari = SmsSablon::all();
        $email_sablonlari = EmailSablon::all();

        return view('admin/servis_fisi/listele', compact('servisfisleri','yedek_parca_toplam','sms_sablonlari','email_sablonlari'));
    }



}
