<?php

namespace App\Http\Controllers;
use App\ServisFisi;
use App\ServisYedekParca;
use App\ServisHizmet;
use App\Firma;


use Illuminate\Http\Request;

class PrintController extends Controller
{
    public function print()
    {
        return view('admin/print');
    }

    public function teslim($id)
    {
        $servis_fisi = ServisFisi::find($id);
        $yedek_parcalar = ServisYedekParca::where('servis_fisi_id',$id)->get();
        $hizmetler = ServisHizmet::where('servis_fisi_id',$id)->get();
        $firma = Firma::find(1);


        $yedek_parca_toplam =ServisYedekParca::where('servis_fisi_id',$id)->sum('fiyat');
        $hizmetler_toplam =ServisHizmet::where('servis_fisi_id',$id)->sum('fiyat');

        $toplam = ($yedek_parca_toplam) + ($hizmetler_toplam);



$aratoplam =number_format((($toplam*100)/118),2);

$parcalanmis_sartlar = explode ("\n",$firma->servis_sartlari);
$sartlar  =  implode("<br>",$parcalanmis_sartlar);



        return  view('admin.form.teslim', compact('servis_fisi','yedek_parcalar','hizmetler','toplam','aratoplam','firma','sartlar'));
    }

    public function kabul($id)
    {
        $servis_fisi = ServisFisi::find($id);
        $yedek_parcalar = ServisYedekParca::where('servis_fisi_id',$id)->get();
        $firma = Firma::find(1);

        $parcalanmis_sartlar = explode ("\n",$firma->servis_sartlari);
        $sartlar  =  implode("<br>",$parcalanmis_sartlar);




        return view('admin.form.kabul', compact('servis_fisi','yedek_parcalar','firma','sartlar'));
    }

}
