<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateYetkiGruplariTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('yetki_gruplari', function (Blueprint $table) {
            $table->increments('id');

            $table->string('isim')->unique();


            $table->boolean('servis_fisi_ekle');
            $table->boolean('servis_fisi_duzenle');
            $table->boolean('servis_fisi_listele');
            $table->boolean('servis_fisi_kabulform');
            $table->boolean('servis_fisi_teslimform');
            $table->boolean('servis_fisi_mesaj');
            $table->boolean('servis_fisi_mail');
            $table->boolean('servis_fisi_tahsilat');
            $table->boolean('servis_fisi_gorev');
            $table->boolean('servis_fisi_yedek_parca_ekle');
            $table->boolean('servis_fisi_yedek_parca_sil');
            $table->boolean('servis_fisi_hizmet_ekle');
            $table->boolean('servis_fisi_hizmet_sil');

            $table->boolean('cari_ekle');
            $table->boolean('cari_duzenle');
            $table->boolean('cari_listele');
            $table->boolean('cari_servis_fisleri');

            $table->boolean('yedek_parca_ekle');
            $table->boolean('yedek_parca_duzenle');
            $table->boolean('yedek_parca_listele');

            $table->boolean('hizmet_ekle');
            $table->boolean('hizmet_duzenle');
            $table->boolean('hizmet_listele');

            $table->boolean('kasa_islemleri');

            $table->boolean('yetki_grubu_ekle');
            $table->boolean('yetki_grubu_duzenle');
            $table->boolean('yetki_grubu_listele');

            $table->boolean('durum_ekle');
            $table->boolean('durum_duzenle');
            $table->boolean('durum_listele');

            $table->boolean('marka_ekle');
            $table->boolean('marka_duzenle');
            $table->boolean('markalistele');

            $table->boolean('urun_ekle');
            $table->boolean('urun_duzenle');
            $table->boolean('urun_listele');

            $table->boolean('sms_sablon_ekle');
            $table->boolean('sms_sablon_duzenle');
            $table->boolean('sms_sablon_listele');

            $table->boolean('email_sablon_ekle');
            $table->boolean('email_sablon_duzenle');
            $table->boolean('email_sablon_listele');

            $table->boolean('personel_ekle');
            $table->boolean('personel_duzenle');
            $table->boolean('personel_listele');

            $table->boolean('hatirlatma_ekle');
            $table->boolean('hatirlatma_duzenle');
            $table->boolean('hatirlatma_listele');
            $table->boolean('hatirlatma_tamamla');

            $table->boolean('ayarlar_firma');
            $table->boolean('ayarlar_sms');

            $table->boolean('translate');
            $table->boolean('search');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('yetki_gruplari');
    }
}
