<?php

use Illuminate\Database\Seeder;
use App\User;
use App\Firma;
use App\Sms;
use App\Durumlar;
use App\YetkiGruplari;


class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        factory(YetkiGruplari::class, 1)->create(
            [
                'isim'=> 'ADMİN',

                'servis_fisi_ekle'=> '1',
                'servis_fisi_duzenle'=> '1',
               'servis_fisi_listele'=> '1',
               'servis_fisi_kabulform'=> '1',
             'servis_fisi_teslimform'=> '1',
               'servis_fisi_mesaj'=> '1',
                'servis_fisi_mail'=> '1',
                'servis_fisi_tahsilat'=> '1',
                'servis_fisi_gorev'=> '1',
                'servis_fisi_yedek_parca_ekle'=> '1',
                'servis_fisi_yedek_parca_sil'=> '1',
              'servis_fisi_hizmet_ekle'=> '1',
                'servis_fisi_hizmet_sil'=> '1',

               'cari_ekle'=> '1',
               'cari_duzenle'=> '1',
               'cari_listele'=> '1',
               'cari_servis_fisleri'=> '1',

              'yedek_parca_ekle'=> '1',
               'yedek_parca_duzenle'=> '1',
                'yedek_parca_listele'=> '1',

               'hizmet_ekle'=> '1',
                'hizmet_duzenle'=> '1',
                'hizmet_listele'=> '1',

               'kasa_islemleri'=> '1',

                'yetki_grubu_ekle'=> '1',
                'yetki_grubu_duzenle'=> '1',
                'yetki_grubu_listele'=> '1',

               'durum_ekle'=> '1',
               'durum_duzenle'=> '1',
                'durum_listele'=> '1',

              'marka_ekle'=> '1',
               'marka_duzenle'=> '1',
               'markalistele'=> '1',

               'urun_ekle'=> '1',
              'urun_duzenle'=> '1',
               'urun_listele'=> '1',

               'sms_sablon_ekle'=> '1',
               'sms_sablon_duzenle'=> '1',
               'sms_sablon_listele'=> '1',

               'email_sablon_ekle'=> '1',
               'email_sablon_duzenle'=> '1',
              'email_sablon_listele'=> '1',

               'personel_ekle'=> '1',
               'personel_duzenle'=> '1',
            'personel_listele'=> '1',

                'hatirlatma_ekle'=> '1',
               'hatirlatma_duzenle'=> '1',
                'hatirlatma_listele'=> '1',
               'hatirlatma_tamamla'=> '1',

             'ayarlar_firma'=> '1',
                'ayarlar_sms'=> '1',

                'translate'=> '1',
               'search'=> '1',
            ]
        );

        factory(User::class, 1)->create(
            [
                'isim' => 'admin',
                'email' => 'admin@takip.com',
                'password' => '$2y$10$Y3nR087Bq5rfMC/d8j4YeuYbeCIkzSWHPnfztKFCiJT7QYRmPkh4i', // 12345678
                'remember_token' => Str::random(10),
                'telefon' => '5424948',
                'yetki_id' => '1',
                'durum' => 'aktif',
            ]
        );

        factory(Firma::class, 1)->create(
            [
                'isim' => 'Alix Trade Yazılım San.ve Tic.Ltd.Şti',
        'telefon' => '(546) 437 61 00',
        'fax' => '(358) 514 02 18',
        'email' => 'info@engaranti.net',
        'adres' => 'Bahriye Üçok Sk No:6/z2 Merzifon',
        'hakkinda' => 'Firmamız www.herkessatiyor.com kurumsal üyesidir.',
        'servis_sartlari' => '- Servis aşamalarımızın il etabı olarak elden veya kargo ile teslim ettiğiniz arızalı ürününüze ilişkin servis kayıt formu isteğiniz doğrultusunda e-posta ile yada size elden size iletilecektir. Servisimize arızalı ürün teslim eden her müşterimiz aşağıda belirtilen servis koşullarını okuyup, kabul etmiş sayılır.Cihaz onarımı tamamlanmış ürünler, servis ücretinin ödemesi yapılmadan teslim edilmemektedir.
        - İdeal arıza tespit süresi 2, maksimum arıza tespit süresi 5 gündür. İdeal onarım süresi 3, maksimum onarım süresi 30 gündür. Yurt dışından temin edilecek yedek parça olması durumunda müşteri aranarak bilgilendirme yapılır ve ek süre istenir.Cihazın onarımında kullanılacak parça, tedarikçi firma tarafından temin edilecekse; bu durum müşteriye bildirilir ve bu süre onarım süresine eklenir.
        - Onarımları tamamlanmış ürünler 45 gün içerisinde teslim alınmaz ise; sonraki her gün için ardiye bedeli talep edilir. Şayet ürünlerin teslim alınması 90 günü geçtiği taktirde Firma her hangi bir mesuliyet kabul etmemektedir.
        - Arızalı ürünleri servisimize vermeden önce içerisinde bulunan önemli verilerin yedeklenmesi gerekmektedir. Şayet müşteri servisimize arızalı ürünü teslim etmeden önce bu durumdan servisimizi haberdar etmediyse her hangi bir veri kaybı durumunda sorumluluk kabul edilmez.
        - Extra bir durum söz konusu değil ise servisimize bırakılan arızalı cihaz fabrika ayarlarıyla teslim edilmiş sayılır. Kullanıcı tarafından ekstra donanım talep edilemez.
        - Servisimiz lisanssız yazılım yüklemesi yapmamaktadır. Müşteri tarafından gelen bu tarz talepler geri çevrilmektedir.Servis bu durumdan sorumlu tutulamaz.
        - Cihaz arıza tespiti veya onarım için servisimize bırakılan kısmi çalışır durumdaki ürünlerin gerekli çalışmaları gerçekleştirilemez ise müşteriye bu durum bilgilendirilmesi yapılır ve söz konusu ürün için teslim edildiği şekilde teslim almayı müşteri kabul etmiş sayılır.
        - Arızalı ürünlerin kargo tarafından gönderilmesi halinde; ürün zarar görmeyecek şekilde paketlenmelidir ve onarımları yapılarak müşteriye teslimi sırasında kargo ile gönderilen ürünler müşteri tarafından son kontrolleri yapılarak teslim alınmalıdır.',
        'logo' => '',
            ]
        );

        factory(Sms::class, 1)->create(
            [
                'gsm' => '8503026940',
        'sifre' => '9FFX1271',
        'baslik' => 'ALIXTRADE',
            ]
        );

        factory(Durumlar::class, 1)->create(
            [
                'isim' => 'Yeni Servis',
                'renk' => 'red',

            ]
        );




    }
}
