@extends('admin.template')
@section('icerik')
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
<form method="POST" action="{{ route('home.personel.update',$duzenlenecekpersonel->id) }}">
    @method('PATCH')
    @csrf
    {{csrf_field()}}

    <div class="container-fluid">
    <div class="row">
        <div class="col-lg-6">
            <div class="card card-dark">
                <div class="card-header">
                    <h5 class="m-0">{{ $veri->personel_ekle_1 }}</h5>
                </div>
                <div class="card-body">
                    <div class="form-group row">
                        <label class="col-sm-2">{{ $veri->personel_ekle_2 }}</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="isim"  value="{{ $duzenlenecekpersonel->isim }}" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-2">{{ $veri->personel_ekle_3 }}</label>
                        <div class="col-sm-10">
                            <input type="email" class="form-control" name="email"  value="{{ $duzenlenecekpersonel->email }}" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-2">{{ $veri->personel_ekle_4 }}</label>
                        <div class="col-sm-10">
                            <input type="password" class="form-control" name="password"  value="" placeholder='**********' >
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-2">{{ $veri->personel_ekle_5 }}</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="telefon"  value="{{ $duzenlenecekpersonel->telefon }}" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6">
                            <div class="input-group input-group">
                                <select class="form-control" name="durum" id="durum" required>
                                    <option @if($duzenlenecekpersonel->durum == "AKTİF")selected @endif value="AKTİF">AKTİF </option>
                                    <option @if($duzenlenecekpersonel->durum == "PASİF")selected @endif value="PASİF">PASİF</option>
                                </select>
                              </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="input-group input-group">
                                <select class="form-control" name="yetki" id="yetki" required>
                                    <option value="">Yetki Seçiniz</option>
                                    @foreach ($yetki_gruplari as $yetki_grubu)
                                    <option @if($duzenlenecekpersonel->yetki_id == $yetki_grubu->id)selected @endif value="{{ $yetki_grubu->id }}">{{ $yetki_grubu->isim }}</option>
                                    @endforeach
                                </select>
                              </div>
                        </div>

                    </div>
                    <div class="form-group row">
                        <div class="col-sm-3">
                            <div class="input-group input-group">
                                <button type="submit" name="ekle" class="btn btn-success btn-block">{{ $veri->personel_ekle_6 }}</button>
                              </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        </div>
  <!-- /.row -->
</div>
</form>
</div>
@endsection

@section('css')
<link rel="stylesheet" href="https://kendo.cdn.telerik.com/2020.2.617/styles/kendo.default-v2.min.css" />

@endsection

@section('js')

<script src="https://kendo.cdn.telerik.com/2020.2.617/js/jquery.min.js"></script>

<script src="https://kendo.cdn.telerik.com/2020.2.617/js/kendo.all.min.js"></script>
<script>
    $(document).ready(function() {
        // create NumericTextBox from input HTML element
        $("#numeric").kendoNumericTextBox();

        // create Curerncy NumericTextBox from input HTML element
        $("#currency").kendoNumericTextBox({
            format: "c",
            decimals: 3
        });

        // create Percentage NumericTextBox from input HTML element
        $("#percentage").kendoNumericTextBox({
            format: "p0",
            min: 0,
            max: 0.1,
            step: 0.01
        });

        // create NumericTextBox from input HTML element using custom format
        $("#custom").kendoNumericTextBox({
            format: "#.00 kg"
        });
    });
</script>
@endsection
