<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\ServisHizmet;
use App\ServisFisi;
use App\ServisYedekParca;
use App\SmsSablon;
use App\EmailSablon;
use Illuminate\Support\Facades\Auth;


class GorevlerController extends Controller
{
    public function listele()
    {

        $hizmetler_toplam =ServisHizmet::sum('fiyat');
        $yedek_parca_toplam =ServisYedekParca::sum('fiyat');

        $servisfisleri = ServisFisi::where('personel_id',Auth::user()->id)->where('gorev_durum','BEKLEMEDE')->orderByDesc('id')->paginate(10);



      //  $servisfisleri = ServisFisi::where(($this->bakiye($this->id)),'>',0)->orderBy('id','desc')->paginate(10);


        $sms_sablonlari = SmsSablon::all();
        $email_sablonlari = EmailSablon::all();


        return view('admin/servis_fisi/listele', compact('servisfisleri','yedek_parca_toplam','sms_sablonlari','email_sablonlari'));

    }

    public function tamamla($id)
    {

        $gorev = ServisFisi::find($id);

        $gorev->gorev_durum = "TAMAMLANDI";

        $gorev->save();

        return back();

    }
}
