@extends('admin.template')
@section('icerik')

<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">


                <div class="card-body">
                    <div class="input-group-append">
                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#create">
                            {{ $veri->cari_listele_1 }}
                          </button>
                    </div>
                    &ensp;
                    <form method="POST" action="">
                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                <th style="width: 5%">#</th>
                                <th style="width: 50%">{{ $veri->cari_listele_2 }}</th>
                                <th style="width: 10%">{{ $veri->cari_listele_3 }}</th>
                                <th style="width: 15%">{{ $veri->cari_listele_4 }}</th>
                                <th style="width: 5%">{{ $veri->cari_listele_5}}</th>
                                <th style="width: 5%">{{ $veri->cari_listele_6 }}</th>
                                <th style="width: 10%">{{ $veri->cari_listele_7 }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($cariler as $cari)
                                <tr>
                                    <td>{{ $cari->id }}</td>
                                    <td>{{ $cari->isim }}</td>
                                    <td>{{ $cari->telefon }}</td>
                                    <td>{{ $cari->email }}</td>
                                    <td>{{ $cari->il }}</td>
                                    <td>{{ $cari->bakiye($cari->id) }}</td>
                                    <td> @if (Auth::user()->yetki->cari_duzenle == 1)
                                        <a title="Düzenle" href="#" class="btn btn-info btn-sm ac-CariIcınId" id="testdegeral"
                                        data-id="{{ $cari->id }}"
                                         data-isim="{{ $cari->isim }}"
                                         data-telefon="{{ $cari->telefon }}"
                                         data-email="{{ $cari->email }}"
                                         data-adres="{{ $cari->adres }}"
                                         data-il="{{ $cari->il }}"
                                         data-ilce="{{ $cari->ilce }}"
                                          data-toggle="modal"><span class='fa fa-edit'></span></a>
                                          @endif
                                          @if (Auth::user()->yetki->cari_servis_fisleri == 1)
                                    <a title="Servis Fişlerini Gör" href="{{ route('home.cari.servis_fislerim',$cari->id) }}" class="btn btn-danger btn-sm "><span class='fa fa-newspaper'></span></a>
                                    @endif

                                    </td>

                                </tr>
                                @endforeach
                            </tbody>

                            <tbody>
                                <tbody class="labels">
                                    <tr style="height:10px">
                                        <th class="show hidden" style="width: 2%">#</th>
                                        <th class="show hidden" colspan="2" style="width: 50%">{{ $veri->cari_listele_2 }}</th>
                                    </tr>
                                    @foreach ($cariler as $cari)
                                    <tr style="height:10px">
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;color: #fff;">
                                            <label for={{ $cari->id }}>+</label>
                                            <input type="checkbox" name={{ $cari->id }} id={{ $cari->id }} data-toggle="toggle">
                                        </td >

                                        <td colspan="2"  class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $cari->isim }}" >{{ \Illuminate\Support\Str::limit($cari->isim, $limit = 30, $end = '...') }}</a></td>

                                    </tr>
                                    <tbody class="hide" style="display: none;">
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->cari_listele_3 }}</td>
                                            <td  class="show hidden">{{ $cari->telefon}}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->cari_listele_4 }}</td>
                                            <td  class="show hidden">{{ $cari->email}}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->cari_listele_5 }}</td>
                                            <td  class="show hidden">{{ $cari->il}}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->cari_listele_6 }}</td>
                                            <td  class="show hidden">{{ $cari->bakiye($cari->id)}}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->cari_listele_7 }}</td>
                                            <td  class="show hidden">
                                                @if (Auth::user()->yetki->cari_duzenle == 1)
                                                <a title="Düzenle" href="#" class="btn btn-info btn-sm ac-CariIcınId" id="testdegeral"
                                                data-id="{{ $cari->id }}"
                                                data-isim="{{ $cari->isim }}"
                                                data-telefon="{{ $cari->telefon }}"
                                                data-email="{{ $cari->email }}"
                                                data-adres="{{ $cari->adres }}"
                                                data-il="{{ $cari->il }}"
                                                data-ilce="{{ $cari->ilce }}"
                                                data-toggle="modal"><span class='fa fa-edit'></span></a>
                                                @endif
                                                @if (Auth::user()->yetki->cari_servis_fisleri == 1)
                                    <a title="Servis Fişlerini Gör" href="{{ route('home.cari.servis_fislerim',$cari->id) }}" class="btn btn-danger btn-sm "><span class='fa fa-newspaper'></span></a>
                                    @endif
                                </td>

                                     </tr>
                                    </tbody>
                                    @endforeach
                                </tbody>

                            </tbody>

                        </table>
                        <?php echo $cariler->render(); ?>

                    </div>

                </div>
            </div>
        </div>




  <!-- /.row -->
</div>
</form>
{{-- Ekle Modal --}}
<div id="create" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.cari.kaydet')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="row">

                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_1 }}</label>
                        <input type="text" class="form-control" id="isim" name="isim"  required>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_2 }}</label>
                        <input type="text" class="form-control" id="" name="telefon"  required>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_3 }}</label>
                        <input type="text" class="form-control" id="" name="email"  >
                    </div>
                </div>


                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_4 }}</label>
                 <textarea name="adres" class="form-control" id="" ></textarea>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_5 }}</label>
                        <input type="text" class="form-control" id="" name="il"  >
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_6 }}</label>
                        <input type="text" class="form-control" id="" name="ilce"  >
                    </div>
                </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->cari_listele_modal_7 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->cari_listele_modal_8 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
{{-- Ekle Modal --}}
{{-- Düzenle Modal --}}
<div id="duzenle" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.cari.duzenle')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="row">

                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_1 }}</label>
                        <input type="text" class="form-control" id="isim1" name="isim1"  required>
                        <input type="text" class="form-control" id="id" name="id"  hidden required>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_2 }}</label>
                        <input type="text" class="form-control" id="telefon1" name="telefon1"  required>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_3 }}</label>
                        <input type="text" class="form-control" id="email1" name="email1"  >
                    </div>
                </div>


                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_4 }}</label>
                 <textarea name="adres1" class="form-control" id="adres1" ></textarea>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_5 }}</label>
                        <input type="text" class="form-control" id="il1" name="il1"  >
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->cari_listele_modal_6 }}</label>
                        <input type="text" class="form-control" id="ilce1" name="ilce1"  >
                    </div>
                </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->cari_listele_modal_7 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->cari_listele_modal_8 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
{{-- Düzenle Modal --}}

</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  <link rel="stylesheet" href="/yonetim/style.css">
  <link rel="stylesheet" href="/yonetim/tablo_style.css">

@endsection

@section('js')


<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".ac-CariIcınId").click(function () {
            $('#id').val($(this).data('id'));
            $('#isim1').val($(this).data('isim'));
            $('#telefon1').val($(this).data('telefon'));
            $('#email1').val($(this).data('email'));
            $('#adres1').val($(this).data('adres'));
            $('#il1').val($(this).data('il'));
            $('#ilce1').val($(this).data('ilce'));
            $('#duzenle').modal('show');
        });

    });
</script>
<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": false,
        "ordering": false,
        "info": false,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>


        <script >
            $(document).ready(function() {
            $('[data-toggle="toggle"]').change(function(){
                $(this).parents().next('.hide').toggle();
            });
        });
        </script>






@endsection
