@extends('admin.template')
@section('icerik')
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>

    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">


                <div class="card-body">
                    <div class="input-group-append">
                        @if (Auth::user()->yetki->hatirlatma_ekle == 1)

                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#create">
                            {{ $veri->hatirlatma_1 }}
                          </button>
                          @endif
                    </div>
                    &ensp;
                    <form method="POST" action="">
                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                    <th style="width: 5%">#</th>
                                    <th style="width: 25%">{{ $veri->hatirlatma_2 }}</th>
                                    <th style="width: 45%">{{ $veri->hatirlatma_3 }}</th>
                                    <th style="width: 45%">{{ $veri->hatirlatma_4 }}</th>
                                    <th style="width: 15%">{{ $veri->hatirlatma_5 }}</th>
                                    <th style="width: 10%">{{ $veri->hatirlatma_6 }}</th>
                                </tr>

                            </thead>
                            <tbody>
                                @foreach ($hatirlatmalar as $hatirlatma)
                                <tr>
                                    <td>{{ $hatirlatma->id }}</td>
                                    <td><a title="{{ $hatirlatma->baslik }}" >{{ \Illuminate\Support\Str::limit($hatirlatma->baslik, $limit = 30, $end = '...') }}</a></td>
                                    <td><a title="{{ $hatirlatma->icerik }}" >{{ \Illuminate\Support\Str::limit($hatirlatma->icerik, $limit = 30, $end = '...') }}</a></td>
                                    <td @if ($hatirlatma->durum == "TAMAMLANDI")style="color:green" @endif
                                        @if ($hatirlatma->durum == "BEKLEMEDE")style="color:red" @endif
                                        >{{ $hatirlatma->durum }}</td>
                                    <td>{{ $hatirlatma->tarih }}</td>
                                    <td>
                                        @if (Auth::user()->yetki->hatirlatma_duzenle == 1)
                                        <a title="Düzenle" href="#" class="btn btn-info btn-sm ac-HatirlatmaIcınId" id="testdegeral"
                                        data-id="{{ $hatirlatma->id }}"
                                         data-baslik="{{ $hatirlatma->baslik }}"
                                         data-icerik="{{ $hatirlatma->icerik }}"
                                         data-tarih="{{ $hatirlatma->tarih }}"
                                          data-toggle="modal"><span class='fa fa-edit'></span></a>
                                          @endif
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>

                            <tbody>
                                <tbody class="labels">
                                    <tr style="height:10px">
                                        <th class="show hidden" style="width: 2%">#</th>
                                        <th class="show hidden" style="width: 50%">{{ $veri->hatirlatma_1 }}</th>
                                        <th class="show hidden"  style="width: 50%">{{ $veri->hatirlatma_2 }}</th>
                                    </tr>
                                    @foreach ($hatirlatmalar as $hatirlatma)
                                    <tr style="height:10px">
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;color: #fff;">
                                            <label for={{ $hatirlatma->id }}>+</label>
                                            <input type="checkbox" name={{ $hatirlatma->id }} id={{ $hatirlatma->id }} data-toggle="toggle">
                                        </td >

                                        <td   class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $hatirlatma->baslik }}" >{{ \Illuminate\Support\Str::limit($hatirlatma->baslik, $limit = 10, $end = '...') }}</a></td>
                                        <td   class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $hatirlatma->icerik }}" >{{ \Illuminate\Support\Str::limit($hatirlatma->icerik, $limit = 10, $end = '...') }}</a></td>

                                    </tr>
                                    <tbody class="hide" style="display: none;">
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->hatirlatma_3 }}</td>
                                            <td  class="show hidden" @if ($hatirlatma->durum == "TAMAMLANDI")style="color:green" @endif
                                                @if ($hatirlatma->durum == "BEKLEMEDE")style="color:red" @endif>{{ $hatirlatma->durum}}</td>
                                        </tr>

                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->hatirlatma_4 }}</td>
                                            <td  class="show hidden">{{ $hatirlatma->tarih}}</td>
                                        </tr>

                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td colspan="2" class="show hidden">
                                        @if (Auth::user()->yetki->hatirlatma_duzenle == 1)
                                        <a title="Düzenle" href="#" class="btn btn-info btn-sm ac-HatirlatmaIcınId" id="testdegeral"
                                                data-id="{{ $hatirlatma->id }}"
                                                 data-baslik="{{ $hatirlatma->baslik }}"
                                                 data-icerik="{{ $hatirlatma->icerik }}"
                                                 data-tarih="{{ $hatirlatma->tarih }}"
                                                  data-toggle="modal"><span class='fa fa-edit'></span></a>
                                                @endif
                                            </td>
                                        </tr>
                                    </tbody>
                                    @endforeach
                                </tbody>

                            </tbody>

                        </table>
                        <?php echo $hatirlatmalar->render(); ?>

                    </div>

                </div>
            </div>
        </div>




  <!-- /.row -->
</div>
</form>
{{-- Ekle Modal --}}
<div id="create" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.hatirlatmalar.kaydet')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="row">

                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->hatirlatma_modal_1 }}</label>
                        <input type="text" class="form-control" id="baslik" name="baslik"  required>
                    </div>
                </div>

                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->hatirlatma_modal_2 }}</label>
                 <textarea name="icerik" class="form-control" id="" ></textarea>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->hatirlatma_modal_3 }}</label>
                        <input class="form-control" id="tarih2" name="tarih" type="text">
                    </div>
                </div>

            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->hatirlatma_modal_4 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->hatirlatma_modal_5 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
{{-- Ekle Modal --}}
{{-- Düzenle Modal --}}
<div id="duzenle" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.hatirlatmalar.duzenle')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="row">

                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->hatirlatma_modal_1 }}</label>
                        <input type="text" class="form-control" id="baslik1" name="baslik1"  required>
                        <input type="text" class="form-control" id="id" name="id" hidden required>
                    </div>
                </div>

                <div class="col-lg-12">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->hatirlatma_modal_2 }}</label>
                 <textarea name="icerik1" class="form-control" id="icerik1" ></textarea>
                    </div>
                </div>

                <div class="col-lg-6">
                    <div class="form-group row add">
                        <label class="control-label" for="title">{{ $veri->hatirlatma_modal_3 }}</label>
                        <input class="form-control" name="tarih1" id="tarih1" type="text">
                    </div>
                </div>

            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->hatirlatma_modal_4 }}e
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->hatirlatma_modal_1 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
{{-- Düzenle Modal --}}

</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  <link rel="stylesheet" href="/yonetim/style.css">
  <link rel="stylesheet" href="/yonetim/tablo_style.css">

  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.0/themes/base/jquery-ui.css">


  <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/css/bootstrap-datepicker.css" rel="stylesheet">

@endsection

@section('js')

<script src=“https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js”></script>

<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>


<script type="text/javascript">
    $(document).ready(function () {
        $(".ac-HatirlatmaIcınId").click(function () {
            $('#id').val($(this).data('id'));
            $('#baslik1').val($(this).data('baslik'));
            $('#icerik1').val($(this).data('icerik'));
            $('#tarih1').val($(this).data('tarih'));

            $('#duzenle').modal('show');
        });
    });
</script>

<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": false,
        "ordering": false,
        "info": false,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>






{{-- <script type="text/javascript">
    $('').datepicker({
       format: 'yyyy/mm/dd'
     });
</script> --}}
<script >
    $(document).ready(function() {
    $('[data-toggle="toggle"]').change(function(){
        $(this).parents().next('.hide').toggle();
    });
});
</script>


<script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>

<script>
    $( function() {
        $( "#tarih1" ).datepicker();
    } );
</script>

<script>
    $( function() {
        $( "#tarih2" ).datepicker();
    } );
</script>




@endsection
