@extends('admin.template')
@section('icerik')
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>

    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">
                <div class="card-body">

                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <th style="width: 5%">#</th>
                                <th style="width: 20%">{{ $veri->tahsilatlar_1 }}</th>
                                <th style="width: 20%">{{ $veri->tahsilatlar_2 }}</th>
                                <th style="width: 8%">{{ $veri->tahsilatlar_3 }}</th>
                                <th style="width: 10%">{{ $veri->tahsilatlar_4 }}</th>
                                <th style="width: 10%">{{ $veri->tahsilatlar_5 }}</th>
                                <th style="width: 10%">{{ $veri->tahsilatlar_6 }}</th>
                            </thead>
                            <tbody>
                                @foreach ($tahsilatlar as $tahsilat)
                                <tr>
                                    <td >{{ $tahsilat->id }}</td>
                                    <td >{{ $tahsilat->cari->isim }}</td>
                                    <td >{{ $tahsilat->servis_fisi_id }}</td>
                                    <td >{{ $tahsilat->servis_fisi_tutar }} TL</td>
                                    <td >{{ $tahsilat->iskonto }} TL</td>
                                    <td >{{ $tahsilat->odeme_tutari }} TL</td>
                                    <td >{{ $tahsilat->created_at->format('d/m/Y') }}</td>


                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                            <tbody>
                                <tbody class="labels">
                                    <tr style="height:10px">
                                        <th class="show hidden" style="width: 2%">#</th>
                                        <th class="show hidden" style="width: 50%">{{ $veri->tahsilatlar_1 }}</th>
                                        <th class="show hidden" style="width: 40%">{{ $veri->tahsilatlar_5 }}</th>
                                    </tr>
                                    @foreach ($tahsilatlar as $tahsilat)
                                    <tr style="height:10px">
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;color: #fff;">
                                            <label for={{ $tahsilat->id }}>+</label>
                                            <input type="checkbox" name={{ $tahsilat->id }} id={{ $tahsilat->id }} data-toggle="toggle">
                                        </td >

                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $tahsilat->cari->isim }}" >{{ \Illuminate\Support\Str::limit($tahsilat->cari->isim, $limit = 30, $end = '...') }}</a></td>
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $tahsilat->odeme_tutari }}" >{{$tahsilat->odeme_tutari }} TL</a></td>

                                    </tr>
                                    <tbody class="hide" style="display: none;">
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->tahsilatlar_2 }}</td>
                                            <td colspan="2" class="show hidden">{{ $tahsilat->servis_fisi_id }}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->tahsilatlar_3 }}</td>
                                            <td colspan="2" class="show hidden">{{ $tahsilat->servis_fisi_tutar }} TL</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->tahsilatlar_4 }}</td>
                                            <td colspan="2" class="show hidden">{{ $tahsilat->iskonto }} TL</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->tahsilatlar_6 }}</td>
                                            <td colspan="2" class="show hidden">{{ $tahsilat->created_at->format('d/m/Y') }}</td>
                                        </tr>

                                    </tbody>
                                    @endforeach
                                </tbody>

                            </tbody>
                        </table>
                        <?php echo $tahsilatlar->render(); ?>
                    </div>

                </div>
            </div>
        </div>




  <!-- /.row -->
</div>
</form>

</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  <link rel="stylesheet" href="/yonetim/style.css">
  <link rel="stylesheet" href="/yonetim/tablo_style.css">
@endsection

@section('js')
<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>



<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": false,
        "ordering": false,
        "info": false,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js" async defer crossorigin="anonymous"></script>
        <script >
            $(document).ready(function() {
            $('[data-toggle="toggle"]').change(function(){
                $(this).parents().next('.hide').toggle();
            });
        });
        </script>

@endsection
