<?php $__env->startSection('icerik'); ?>

<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
    <?php echo e(csrf_field()); ?>


    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">


                <div class="card-body">
                    <div class="input-group-append">
                        <?php if(Auth::user()->yetki->urun_ekle == 1): ?>
                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#create">
                            <?php echo e($veri->tanimlamalar_urunler_1); ?>

                          </button>
                          <?php endif; ?>
                    </div>
                    &ensp;

                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <th><?php echo e($veri->tanimlamalar_urunler_2); ?></th>
                                <th><?php echo e($veri->tanimlamalar_urunler_3); ?></th>
                                <th><?php echo e($veri->tanimlamalar_urunler_4); ?></th>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $urunler; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $urun): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($urun->isim); ?></td>
                                    <td><?php echo e($urun->created_at->format('d/m/Y')); ?></td>
                                    <td>
                                        <?php if(Auth::user()->yetki->urun_duzenle == 1): ?>
                                        <a href="#" class="btn btn-info btn-sm ac-UrunIcınId" id="testdegeral"
                                        data-id="<?php echo e($urun->id); ?>" data-isim="<?php echo e($urun->isim); ?>" data-toggle="modal"><span class='fa fa-edit'></span></a>
                                    <?php endif; ?>
                                </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>




  <!-- /.row -->
</div>
</form>

<div id="create" class="modal fade" role="dialog">
    <form method="POST" action="<?php echo e(route('home.tanimlamalar.urunkaydet')); ?>">
        <?php echo e(csrf_field()); ?>

    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b><?php echo e($veri->tanimlamalar_urunler_modal_1); ?></b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isim" name="isim"
                 required>
              </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span><?php echo e($veri->tanimlamalar_urunler_modal_2); ?>

              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span><?php echo e($veri->tanimlamalar_urunler_modal_3); ?>

              </button>
            </div>
      </div>
    </div>
</form>
  </div>


<form method="POST" action="<?php echo e(route('home.tanimlamalar.urunduzenle')); ?>">
    <?php echo e(csrf_field()); ?>

<div id="duzenle" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b><?php echo e($veri->tanimlamalar_urunler_modal_1); ?></b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isim1" name="isim1" value=""  required>
                <input type="text" class="form-control" id="id" name="id" value="" required hidden>
              </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span><?php echo e($veri->tanimlamalar_urunler_modal_2); ?>

              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span><?php echo e($veri->tanimlamalar_urunler_modal_3); ?>

              </button>
            </div>
      </div>
    </div>
  </div>
</form>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>


<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>


<script>
    $(function () {

      $('#example').DataTable({
        "paging": true,
        "lengthChange": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".ac-UrunIcınId").click(function () {
            $('#id').val($(this).data('id'));
            $('#isim1').val($(this).data('isim'));
            $('#duzenle').modal('show');
        });

    });
</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel\teknik_servis_takip\resources\views/admin/tanimlamalar/urunler.blade.php ENDPATH**/ ?>