<?php $__env->startSection('icerik'); ?>
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
<form method="POST" action="<?php echo e(route('home.personel.update',$duzenlenecekpersonel->id)); ?>">
    <?php echo method_field('PATCH'); ?>
    <?php echo csrf_field(); ?>
    <?php echo e(csrf_field()); ?>


    <div class="container-fluid">
    <div class="row">
        <div class="col-lg-6">
            <div class="card card-dark">
                <div class="card-header">
                    <h5 class="m-0"><?php echo e($veri->personel_ekle_1); ?></h5>
                </div>
                <div class="card-body">
                    <div class="form-group row">
                        <label class="col-sm-2"><?php echo e($veri->personel_ekle_2); ?></label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="isim"  value="<?php echo e($duzenlenecekpersonel->isim); ?>" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-2"><?php echo e($veri->personel_ekle_3); ?></label>
                        <div class="col-sm-10">
                            <input type="email" class="form-control" name="email"  value="<?php echo e($duzenlenecekpersonel->email); ?>" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-2"><?php echo e($veri->personel_ekle_4); ?></label>
                        <div class="col-sm-10">
                            <input type="password" class="form-control" name="password"  value="" placeholder='**********' >
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-2"><?php echo e($veri->personel_ekle_5); ?></label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="telefon"  value="<?php echo e($duzenlenecekpersonel->telefon); ?>" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6">
                            <div class="input-group input-group">
                                <select class="form-control" name="durum" id="durum" required>
                                    <option <?php if($duzenlenecekpersonel->durum == "AKTİF"): ?>selected <?php endif; ?> value="AKTİF">AKTİF </option>
                                    <option <?php if($duzenlenecekpersonel->durum == "PASİF"): ?>selected <?php endif; ?> value="PASİF">PASİF</option>
                                </select>
                              </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="input-group input-group">
                                <select class="form-control" name="yetki" id="yetki" required>
                                    <option value="">Yetki Seçiniz</option>
                                    <?php $__currentLoopData = $yetki_gruplari; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $yetki_grubu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($duzenlenecekpersonel->yetki_id == $yetki_grubu->id): ?>selected <?php endif; ?> value="<?php echo e($yetki_grubu->id); ?>"><?php echo e($yetki_grubu->isim); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </div>
                        </div>

                    </div>
                    <div class="form-group row">
                        <div class="col-sm-3">
                            <div class="input-group input-group">
                                <button type="submit" name="ekle" class="btn btn-success btn-block"><?php echo e($veri->personel_ekle_6); ?></button>
                              </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        </div>
  <!-- /.row -->
</div>
</form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="https://kendo.cdn.telerik.com/2020.2.617/styles/kendo.default-v2.min.css" />

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script src="https://kendo.cdn.telerik.com/2020.2.617/js/jquery.min.js"></script>

<script src="https://kendo.cdn.telerik.com/2020.2.617/js/kendo.all.min.js"></script>
<script>
    $(document).ready(function() {
        // create NumericTextBox from input HTML element
        $("#numeric").kendoNumericTextBox();

        // create Curerncy NumericTextBox from input HTML element
        $("#currency").kendoNumericTextBox({
            format: "c",
            decimals: 3
        });

        // create Percentage NumericTextBox from input HTML element
        $("#percentage").kendoNumericTextBox({
            format: "p0",
            min: 0,
            max: 0.1,
            step: 0.01
        });

        // create NumericTextBox from input HTML element using custom format
        $("#custom").kendoNumericTextBox({
            format: "#.00 kg"
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel\teknik_servis_takip\resources\views/admin/personel/duzenle.blade.php ENDPATH**/ ?>